// 6.11.2005   
//+SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS+
//|                                                  BrainTrend1.mq4 |
//|                                     BrainTrading Inc. System 7.0 |
//|                                     http://www.braintrading.com  |
//+SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS+
#property copyright "BrainTrading Inc. System 7.0"
#property link      "http://www.braintrading.com"
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Red
#property indicator_color2 Blue
//---- input parameters
extern int       CountBars=500;
//---- buffers
double Ind_Buffer1[];
double Ind_Buffer2[];
double value2,Range,val1,val2,d,val3;
int    shift,limit,f,p,x1,x2,value11;
//+SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS+
//| Custom indicator initialization function                         |
//+SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS+
int init()
  {
//---- indicator 0
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,Ind_Buffer1);
//---- indicator 1  
   SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(1,Ind_Buffer2);
//----   
   string short_name;
   short_name="BrainTrend1";
   IndicatorShortName(short_name);
   SetIndexLabel(0,""+short_name+"_Down");
   SetIndexLabel(1,""+short_name+"_Up"  );
   IndicatorDigits(MarketInfo(Symbol(),MODE_DIGITS));
//----  
   f=7; d=2.3; x1 = 53; x2 = 47; value11 = 9;
//----
   return(0);
  }
//+SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS+
//| Custom indicator iteration function                              |
//+SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS+
int start()
  {
  Comment("BrainTrading Inc. System 7.0");
   int    counted_bars=IndicatorCounted();
   if (Bars < 11)return(0);
   if (CountBars > Bars-1-11)CountBars=Bars-1-11;
//----  
   limit = CountBars;//-counted_bars-1; 
//----  
   shift=limit;
   p=0;
//----
   while(shift>=0)
      {
      Range = iATR(NULL,0,f,shift)/d;
      value2 = iStochastic(NULL,0,value11,value11,1,0,0,0,shift);
      val1 = 0.0;
      val2 = 0.0;
      val3 = MathAbs(Close[shift] - Close[shift + 2]);//MathAbs(Close[shift] - Close[shift + 2])
      if (value2 < x2 && val3 > Range) p = 1;
      if (value2 > x1 && val3 > Range) p = 2;
      if (value2 < x2 && (p == 1||p == 0))
         {
         if ( val3 > Range)
            {
            val1 = High[shift];
            val2 = Low [shift];
            }
         }
      if (value2 > x1 && (p == 2||p == 0))
         {
         val2 = High[shift];
         val1 = Low [shift];
         }
      Ind_Buffer1[shift]=val1;
      Ind_Buffer2[shift]=val2;
     
     shift--;
      } 
//----
   return(0);
  }
//+SSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSSS+